コンテンツへスキップ

Flux Vision Upscaler

統合

モデルID flux-vision-upscaler
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-vision-upscaler?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.42 420 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Black Forest Labs アップスケール

1~4倍の倍率と、元画像からどの程度変化させるかを制御する創造性設定を備えた画像アップスケーラーです

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

アップスケーリング元の画像を指すURL。

デフォルト 2

1〜4×のアップスケーリング倍率。

詳細設定 creativity · guidance · steps · seed · enable_safety_checker
デフォルト 0.3

サンプリングのデノイズ強度に対応する創造性設定。値を上げると元画像からの変更幅が大きくなります。

デフォルト 1

1〜4のCFG/ガイダンススケールで指定するプロンプト準拠度。

デフォルト 20

4〜50の推論ステップ数。

アップスケーリング用のシード。値を指定しない場合はランダムに選択されます。

POST /run/flux-vision-upscaler?wait=20 見積もり → $0.42
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-vision-upscaler?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Flux Vision Upscalerについて

`image_url`で指定した画像を拡大します。`upscale_factor`は1~4、`creativity`は0~1で、高い値ほど出力が元画像から大きく変化します。`guidance`、`steps`(4~50)、`seed`も設定できます。レスポンスには生成画像と、処理中に生成されたキャプションが含まれます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
アップスケーリング元の画像を指すURL。
upscale_factor任意
型number
デフォルト2
1 – 4
1〜4×のアップスケーリング倍率。
seed任意
型integer | null
アップスケーリング用のシード。値を指定しない場合はランダムに選択されます。
creativity任意
型number
デフォルト0.3
0 – 1
サンプリングのデノイズ強度に対応する創造性設定。値を上げると元画像からの変更幅が大きくなります。
guidance任意
型number
デフォルト1
1 – 4
1〜4のCFG/ガイダンススケールで指定するプロンプト準拠度。
steps任意
型integer
デフォルト20
4 – 50
4〜50の推論ステップ数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを有効にするかどうかを制御します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-vision-upscaler",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 420,
    "usd": "0.42",
    "charged": 420,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42,
    "timings": {},
    "caption": "A highly detailed upscaled photograph featuring sharp edges and enhanced textures. The image shows improved clarity in fine details with natural color preservation and minimal artifacts."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}生成された画像を指すURL。
seed
integer画像生成中に使用するシード。
timings
objectワークフローの各ステップのタイミング情報。
caption
stringアップスケーリングに使用するVLM生成のキャプション。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-vision-upscaler.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt